package kolokvijum;

public class Administrativac extends Radnik {

	private double bonus;

	@Override
	public double plata() {
		return super.getOsnovica() * super.getKoeficijent() * (1 + super.getStaz() / 30.0) + bonus;
	}

	public double getBonus() {
		return bonus;
	}

	public void setBonus(double bonus) {
		this.bonus = bonus;
	}

	public Administrativac() {

	}

	public Administrativac(String ime, String prezime, double koeficijent, double osnovica, int staz, double bonus) {
		super(ime, prezime, koeficijent, osnovica, staz);
		this.bonus = bonus;
	}

	@Override
	public String toString() {
		return "Administrativac " + super.toString();
	}

}
